Uploaded image for project: 'XWiki Commons'
  1. XWiki Commons
  2. XCOMMONS-402

Warning in the EM log when upgrading an extension and its dependencies

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: 5.0.1
    • Fix Version/s: 5.0.2, 5.1-milestone-1
    • Component/s: Extension
    • Labels:
      None
    • Documentation:
      N/A
    • Documentation in Release Notes:
      N/A
    • Similar issues:

      Description

      Extension [someextensiondependency] was not registered as backward dependency of [someextension].
      

      There is no real issue actually, the warning should simply not be printed. What is happening here is that when upgrading a tree of extension, an extension is going to be removed from installed extensions (at least it's previous version) before its backward dependencies.

        Attachments

          Activity

            People

            • Assignee:
              tmortagne Thomas Mortagne
              Reporter:
              tmortagne Thomas Mortagne
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: